Index: ports/beagleboneblack/BEAGLEBONEBLACK_boot.ldt
===================================================================
--- ports/beagleboneblack/BEAGLEBONEBLACK_boot.ldt	(revision 9049385bc802da70f88dd37241e9d88606936db9)
+++ ports/beagleboneblack/BEAGLEBONEBLACK_boot.ldt	(revision 9049385bc802da70f88dd37241e9d88606936db9)
@@ -0,0 +1,63 @@
+/* CSB740_boot.ld:
+ * This is the memory map file used for the boot-flash based version
+ * of MicroMonitor.  The only value that should be considered adjustable
+ * here is the base address of the 'dram' memory block.
+ *
+ */
+MEMORY 
+{
+	rom :	org = ROMBASE, 	len = ROMLEN
+	dram :	org = DRAMBASE,	len = DRAMLEN
+}
+
+SECTIONS
+{
+	.text	:
+	{
+		boot_base = .;
+		rom_reset.o(.text)
+		*(.glue_7t)
+		*(.glue_7)
+	} >rom
+
+	.data	:
+	{
+		*(.data)
+	} >rom
+
+	.sdata	:
+	{
+		*(.sdata)
+	} >rom
+
+	.sdata2	:
+	{
+		*(.sdata2)
+	} >rom
+
+	.rodata	:
+	{
+		*(.rodata)
+		*(.rodata.str1.4)
+	} >rom
+
+	.got	:
+	{
+		*(.got)
+	} >rom
+
+	.bss	:
+	{
+		bss_start = .;
+		atag_space = .;
+		. += ATAGSIZE;
+		end_atag_space = .;
+		*(.bss) *(COMMON)
+	} >dram
+
+	.sbss	:
+	{
+		*(.sbss)
+		bss_end = .;
+	} >dram
+}
Index: ports/beagleboneblack/BEAGLEBONEBLACK_ramtst.ldt
===================================================================
--- ports/beagleboneblack/BEAGLEBONEBLACK_ramtst.ldt	(revision 9049385bc802da70f88dd37241e9d88606936db9)
+++ ports/beagleboneblack/BEAGLEBONEBLACK_ramtst.ldt	(revision 9049385bc802da70f88dd37241e9d88606936db9)
@@ -0,0 +1,59 @@
+etheraddr   		= MACADDRBASE;
+alt_tfsdevtbl_base	= ALTTFSDEVTBLBASE;
+
+MEMORY 
+{
+	rom :	org = RAMTSTROMBASE,	len = RAMTSTROMLEN
+}
+
+SECTIONS
+{
+	.text	:
+	{
+		boot_base = .;
+		ram_reset.o(.text)
+		*(.glue_7t)
+		*(.glue_7)
+	} >rom
+
+	.data	:
+	{
+		*(.data)
+	} >rom
+
+	.sdata	:
+	{
+		*(.sdata)
+	} >rom
+
+	.sdata2	:
+	{
+		*(.sdata2)
+	} >rom
+
+	.rodata	:
+	{
+		*(.rodata)
+        *(.rodata.str1.4)
+	} >rom
+
+	.got	:
+	{
+		*(.got)
+	} >rom
+
+	.bss	:
+	{
+		bss_start = .;
+		atag_space = .;
+		. += ATAGSIZE;
+		end_atag_space = .;
+		*(.bss) *(COMMON)
+	} >rom
+
+	.sbss	:
+	{
+		*(.sbss)
+		bss_end = .;
+	} >rom
+}
Index: rts/beagleboneblack/CSB740_boot.ldt
===================================================================
--- ports/beagleboneblack/CSB740_boot.ldt	(revision d871a74be75e0fdebcf0574c696420971769718e)
+++ 	(revision )
@@ -1,63 +1,0 @@
-/* CSB740_boot.ld:
- * This is the memory map file used for the boot-flash based version
- * of MicroMonitor.  The only value that should be considered adjustable
- * here is the base address of the 'dram' memory block.
- *
- */
-MEMORY 
-{
-	rom :	org = ROMBASE, 	len = ROMLEN
-	dram :	org = DRAMBASE,	len = DRAMLEN
-}
-
-SECTIONS
-{
-	.text	:
-	{
-		boot_base = .;
-		rom_reset.o(.text)
-		*(.glue_7t)
-		*(.glue_7)
-	} >rom
-
-	.data	:
-	{
-		*(.data)
-	} >rom
-
-	.sdata	:
-	{
-		*(.sdata)
-	} >rom
-
-	.sdata2	:
-	{
-		*(.sdata2)
-	} >rom
-
-	.rodata	:
-	{
-		*(.rodata)
-		*(.rodata.str1.4)
-	} >rom
-
-	.got	:
-	{
-		*(.got)
-	} >rom
-
-	.bss	:
-	{
-		bss_start = .;
-		atag_space = .;
-		. += ATAGSIZE;
-		end_atag_space = .;
-		*(.bss) *(COMMON)
-	} >dram
-
-	.sbss	:
-	{
-		*(.sbss)
-		bss_end = .;
-	} >dram
-}
Index: rts/beagleboneblack/CSB740_ramtst.ldt
===================================================================
--- ports/beagleboneblack/CSB740_ramtst.ldt	(revision d871a74be75e0fdebcf0574c696420971769718e)
+++ 	(revision )
@@ -1,59 +1,0 @@
-etheraddr   		= MACADDRBASE;
-alt_tfsdevtbl_base	= ALTTFSDEVTBLBASE;
-
-MEMORY 
-{
-	rom :	org = RAMTSTROMBASE,	len = RAMTSTROMLEN
-}
-
-SECTIONS
-{
-	.text	:
-	{
-		boot_base = .;
-		ram_reset.o(.text)
-		*(.glue_7t)
-		*(.glue_7)
-	} >rom
-
-	.data	:
-	{
-		*(.data)
-	} >rom
-
-	.sdata	:
-	{
-		*(.sdata)
-	} >rom
-
-	.sdata2	:
-	{
-		*(.sdata2)
-	} >rom
-
-	.rodata	:
-	{
-		*(.rodata)
-        *(.rodata.str1.4)
-	} >rom
-
-	.got	:
-	{
-		*(.got)
-	} >rom
-
-	.bss	:
-	{
-		bss_start = .;
-		atag_space = .;
-		. += ATAGSIZE;
-		end_atag_space = .;
-		*(.bss) *(COMMON)
-	} >rom
-
-	.sbss	:
-	{
-		*(.sbss)
-		bss_end = .;
-	} >rom
-}