Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/ChangeLog	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,2 +1,21 @@
+2003-11-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* aclocal/bsp-arg-enable.m4, aclocal/canonical-target-name.m4,
+	aclocal/canonicalize-tools.m4, aclocal/check-custom-bsp.m4,
+	aclocal/check-posix.m4, aclocal/check-rdbg.m4,
+	aclocal/check-tool.m4, aclocal/config-subdirs.m4,
+	aclocal/enable-bare.m4, aclocal/enable-cxx.m4,
+	aclocal/enable-itron.m4, aclocal/enable-multiprocessing.m4,
+	aclocal/enable-networking.m4, aclocal/enable-posix.m4,
+	aclocal/enable-rdbg.m4, aclocal/enable-rtemsbsp.m4,
+	aclocal/env-rtemsbsp.m4, aclocal/gcc-isystem.m4,
+	aclocal/gcc-pipe.m4, aclocal/gcc-specs.m4,
+	aclocal/i386-gas-code16.m4, aclocal/multilib.m4,
+	aclocal/path-ksh.m4, aclocal/prog-cc.m4,
+	aclocal/prog-cxx.m4, aclocal/project-root.m4,
+	aclocal/rtems-top.m4, aclocal/target.m4,
+	aclocal/tool-paths.m4:
+	Fix underquoting to silence automake-1.8.
+
 2003-11-10	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/aclocal/bsp-arg-enable.m4
===================================================================
--- c/src/aclocal/bsp-arg-enable.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/bsp-arg-enable.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -10,5 +10,5 @@
 dnl and the raw value passed to --enable-FEATURE otherwise.
 dnl
-AC_DEFUN(RTEMS_BSP_ARG_ENABLE,
+AC_DEFUN([RTEMS_BSP_ARG_ENABLE],
 [AC_REQUIRE([RTEMS_ENV_RTEMSBSP])
 AC_ARG_ENABLE([$1],[$2],
Index: c/src/aclocal/canonical-target-name.m4
===================================================================
--- c/src/aclocal/canonical-target-name.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/canonical-target-name.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -9,5 +9,5 @@
 dnl and we have to fix it for rtems ourselves 
 
-AC_DEFUN(RTEMS_CANONICAL_TARGET_CPU,
+AC_DEFUN([RTEMS_CANONICAL_TARGET_CPU],
 [
 AC_CANONICAL_HOST
Index: c/src/aclocal/canonicalize-tools.m4
===================================================================
--- c/src/aclocal/canonicalize-tools.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/canonicalize-tools.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -5,5 +5,5 @@
 dnl
 
-AC_DEFUN(RTEMS_CANONICALIZE_TOOLS,
+AC_DEFUN([RTEMS_CANONICALIZE_TOOLS],
 [AC_REQUIRE([RTEMS_PROG_CC])dnl
 
Index: c/src/aclocal/check-custom-bsp.m4
===================================================================
--- c/src/aclocal/check-custom-bsp.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/check-custom-bsp.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_CHECK_CUSTOM_BSP,[
+AC_DEFUN([RTEMS_CHECK_CUSTOM_BSP],[
 AC_REQUIRE([RTEMS_TOP])
 
Index: c/src/aclocal/check-posix.m4
===================================================================
--- c/src/aclocal/check-posix.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/check-posix.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 dnl
-AC_DEFUN(RTEMS_CHECK_POSIX_API,
+AC_DEFUN([RTEMS_CHECK_POSIX_API],
 [dnl
 AC_REQUIRE([RTEMS_CANONICAL_TARGET_CPU])dnl
@@ -29,5 +29,5 @@
 ])
 
-AC_DEFUN(RTEMS_DEFINE_POSIX_API,
+AC_DEFUN([RTEMS_DEFINE_POSIX_API],
 [AC_REQUIRE([RTEMS_CHECK_POSIX_API])dnl
 AS_IF(
Index: c/src/aclocal/check-rdbg.m4
===================================================================
--- c/src/aclocal/check-rdbg.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/check-rdbg.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 dnl
-AC_DEFUN(RTEMS_CHECK_RDBG,
+AC_DEFUN([RTEMS_CHECK_RDBG],
 [dnl
 AC_REQUIRE([RTEMS_TOP])dnl
Index: c/src/aclocal/check-tool.m4
===================================================================
--- c/src/aclocal/check-tool.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/check-tool.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -4,5 +4,5 @@
 ## the un-prefixed version of PROG-TO-CHECK-FOR.
 dnl RTEMS_CHECK_TOOL(VARIABLE, PROG-TO-CHECK-FOR[, VALUE-IF-NOT-FOUND [, PATH]])
-AC_DEFUN(RTEMS_CHECK_TOOL,
+AC_DEFUN([RTEMS_CHECK_TOOL],
 [
   AS_IF([test "x$build_alias" != "x$host_alias"],
Index: c/src/aclocal/config-subdirs.m4
===================================================================
--- c/src/aclocal/config-subdirs.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/config-subdirs.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -12,5 +12,5 @@
 dnl _AC_DOTS(PATH)
 dnl
-AC_DEFUN(_AC_DOTS,[
+AC_DEFUN([_AC_DOTS],[
 # A "../" for each directory in $1.
     ac_dots=`echo $1 | \
@@ -21,5 +21,5 @@
 dnl _RTEMS_ADJUST_SRCDIR(REVAR,CONFIG_DIR[,TARGET_SUBDIR])
 dnl
-AC_DEFUN(_RTEMS_ADJUST_SRCDIR,[
+AC_DEFUN([_RTEMS_ADJUST_SRCDIR],[
     _AC_DOTS(ifelse([$3], ,[$2],[$3/$2]))
 
Index: c/src/aclocal/enable-bare.m4
===================================================================
--- c/src/aclocal/enable-bare.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-bare.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,3 +1,3 @@
-AC_DEFUN(RTEMS_ENABLE_BARE,
+AC_DEFUN([RTEMS_ENABLE_BARE],
 [
 AC_ARG_ENABLE(bare-cpu-cflags,
Index: c/src/aclocal/enable-cxx.m4
===================================================================
--- c/src/aclocal/enable-cxx.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-cxx.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_ENABLE_CXX,
+AC_DEFUN([RTEMS_ENABLE_CXX],
 [
 AC_ARG_ENABLE(cxx,
Index: c/src/aclocal/enable-itron.m4
===================================================================
--- c/src/aclocal/enable-itron.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-itron.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_ENABLE_ITRON,
+AC_DEFUN([RTEMS_ENABLE_ITRON],
 [
 ## AC_BEFORE([$0], [RTEMS_CHECK_ITRON_API])dnl
Index: c/src/aclocal/enable-multiprocessing.m4
===================================================================
--- c/src/aclocal/enable-multiprocessing.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-multiprocessing.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_ENABLE_MULTIPROCESSING,
+AC_DEFUN([RTEMS_ENABLE_MULTIPROCESSING],
 [
 AC_ARG_ENABLE(multiprocessing,
Index: c/src/aclocal/enable-networking.m4
===================================================================
--- c/src/aclocal/enable-networking.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-networking.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_ENABLE_NETWORKING,
+AC_DEFUN([RTEMS_ENABLE_NETWORKING],
 [
 ## AC_BEFORE([$0], [RTEMS_CHECK_NETWORKING])dnl
Index: c/src/aclocal/enable-posix.m4
===================================================================
--- c/src/aclocal/enable-posix.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-posix.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_ENABLE_POSIX,
+AC_DEFUN([RTEMS_ENABLE_POSIX],
 [
 ## AC_BEFORE([$0], [RTEMS_CHECK_POSIX_API])dnl
Index: c/src/aclocal/enable-rdbg.m4
===================================================================
--- c/src/aclocal/enable-rdbg.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-rdbg.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_ENABLE_RDBG,
+AC_DEFUN([RTEMS_ENABLE_RDBG],
 [
 AC_BEFORE([$0], [RTEMS_CHECK_RDBG])dnl
Index: c/src/aclocal/enable-rtemsbsp.m4
===================================================================
--- c/src/aclocal/enable-rtemsbsp.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/enable-rtemsbsp.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -4,5 +4,5 @@
 dnl used by the toplevel configure script
 dnl RTEMS_ENABLE_RTEMSBSP(rtems_bsp_list)
-AC_DEFUN(RTEMS_ENABLE_RTEMSBSP,
+AC_DEFUN([RTEMS_ENABLE_RTEMSBSP],
 [
 AC_BEFORE([$0], [RTEMS_ENV_RTEMSBSP])
Index: c/src/aclocal/env-rtemsbsp.m4
===================================================================
--- c/src/aclocal/env-rtemsbsp.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/env-rtemsbsp.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -3,5 +3,5 @@
 dnl Pass a single BSP via an environment variable
 dnl used by per BSP configure scripts
-AC_DEFUN(RTEMS_ENV_RTEMSBSP,
+AC_DEFUN([RTEMS_ENV_RTEMSBSP],
 [dnl
 AC_BEFORE([$0], [RTEMS_ENABLE_RTEMSBSP])dnl
Index: c/src/aclocal/gcc-isystem.m4
===================================================================
--- c/src/aclocal/gcc-isystem.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/gcc-isystem.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -5,5 +5,5 @@
 dnl
 
-AC_DEFUN(RTEMS_GCC_ISYSTEM,
+AC_DEFUN([RTEMS_GCC_ISYSTEM],
 [AC_REQUIRE([RTEMS_PROG_CC])
 AC_CACHE_CHECK(whether $CC accepts -isystem,rtems_cv_gcc_isystem,
Index: c/src/aclocal/gcc-pipe.m4
===================================================================
--- c/src/aclocal/gcc-pipe.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/gcc-pipe.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -5,5 +5,5 @@
 dnl
 
-AC_DEFUN(RTEMS_GCC_PIPE,
+AC_DEFUN([RTEMS_GCC_PIPE],
 [AC_REQUIRE([RTEMS_PROG_CC]) 
 AC_REQUIRE([AC_CANONICAL_HOST])
Index: c/src/aclocal/gcc-specs.m4
===================================================================
--- c/src/aclocal/gcc-specs.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/gcc-specs.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -5,5 +5,5 @@
 dnl
 
-AC_DEFUN(RTEMS_GCC_SPECS,
+AC_DEFUN([RTEMS_GCC_SPECS],
 [AC_REQUIRE([RTEMS_PROG_CC])
 AC_CACHE_CHECK(whether $CC accepts -specs,rtems_cv_gcc_specs,
Index: c/src/aclocal/i386-gas-code16.m4
===================================================================
--- c/src/aclocal/i386-gas-code16.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/i386-gas-code16.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -6,5 +6,5 @@
 dnl     - binutils 2.9.1.0.7 and higher
 
-AC_DEFUN(RTEMS_I386_GAS_CODE16,
+AC_DEFUN([RTEMS_I386_GAS_CODE16],
 [ if test "${host_cpu}" = "i386"; then
     AC_CACHE_CHECK([for 16 bit mode assembler support],
Index: c/src/aclocal/multilib.m4
===================================================================
--- c/src/aclocal/multilib.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/multilib.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -3,5 +3,5 @@
 dnl parts of these macros are derived from newlib-1.8.2's multilib support
 
-AC_DEFUN(RTEMS_ENABLE_MULTILIB,
+AC_DEFUN([RTEMS_ENABLE_MULTILIB],
 [
 AC_ARG_ENABLE(multilib,
Index: c/src/aclocal/path-ksh.m4
===================================================================
--- c/src/aclocal/path-ksh.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/path-ksh.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,5 +1,5 @@
 dnl $Id$
 
-AC_DEFUN(RTEMS_PATH_KSH,
+AC_DEFUN([RTEMS_PATH_KSH],
 [
 dnl NOTE: prefer bash over ksh over sh
Index: c/src/aclocal/prog-cc.m4
===================================================================
--- c/src/aclocal/prog-cc.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/prog-cc.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -5,5 +5,5 @@
 dnl
 
-AC_DEFUN(RTEMS_PROG_CC,
+AC_DEFUN([RTEMS_PROG_CC],
 [
 AC_BEFORE([$0], [AC_PROG_CPP])dnl
@@ -23,5 +23,5 @@
 ])
 
-AC_DEFUN(RTEMS_PROG_CC_FOR_TARGET,
+AC_DEFUN([RTEMS_PROG_CC_FOR_TARGET],
 [
 dnl check target cc
Index: c/src/aclocal/prog-cxx.m4
===================================================================
--- c/src/aclocal/prog-cxx.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/prog-cxx.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -5,5 +5,5 @@
 dnl 
 
-AC_DEFUN(RTEMS_PROG_CXX_FOR_TARGET,
+AC_DEFUN([RTEMS_PROG_CXX_FOR_TARGET],
 [
 AC_BEFORE([$0], [RTEMS_CANONICALIZE_TOOLS])dnl
Index: c/src/aclocal/project-root.m4
===================================================================
--- c/src/aclocal/project-root.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/project-root.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -13,5 +13,5 @@
 dnl
 
-AC_DEFUN(RTEMS_PROJECT_ROOT,
+AC_DEFUN([RTEMS_PROJECT_ROOT],
 [dnl
 AC_REQUIRE([RTEMS_TOP])
Index: c/src/aclocal/rtems-top.m4
===================================================================
--- c/src/aclocal/rtems-top.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/rtems-top.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -8,5 +8,5 @@
 dnl $1 .. relative path from this configure.in to the toplevel configure.in
 dnl
-AC_DEFUN(RTEMS_TOP,
+AC_DEFUN([RTEMS_TOP],
 [dnl
 AC_REQUIRE([RTEMS_VERSIONING])
Index: c/src/aclocal/target.m4
===================================================================
--- c/src/aclocal/target.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/target.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -3,5 +3,5 @@
 ## HACK: Work-around to structural issue with RTEMS
 ## The macros below violate most autoconf and canonicalization standards
-AC_DEFUN(RTEMS_CONFIG_BUILD_SUBDIRS,
+AC_DEFUN([RTEMS_CONFIG_BUILD_SUBDIRS],
 [AC_REQUIRE([_RTEMS_OUTPUT_BUILD_SUBDIRS])
 RTEMS_BUILD_SUBDIRS="$RTEMS_BUILD_SUBDIRS [$1]"
@@ -87,5 +87,5 @@
 dnl _RTEMS_PUSH_BUILDDIR(SUBDIR)
 dnl
-AC_DEFUN(_RTEMS_PUSH_BUILDDIR,
+AC_DEFUN([_RTEMS_PUSH_BUILDDIR],
 [
 # _RTEMS_PUSH_BUILDDIR
@@ -104,5 +104,5 @@
 dnl _RTEMS_POP_BUILDDIR
 dnl
-AC_DEFUN(_RTEMS_POP_BUILDDIR,
+AC_DEFUN([_RTEMS_POP_BUILDDIR],
 [
   cd $ac_popdir
@@ -112,5 +112,5 @@
 dnl _RTEMS_GIVEN_INSTALL
 dnl
-AC_DEFUN(_RTEMS_GIVEN_INSTALL,
+AC_DEFUN([_RTEMS_GIVEN_INSTALL],
 [
 ifdef([AC_PROVIDE_AC_PROG_INSTALL],[  
@@ -125,5 +125,5 @@
 dnl _RTEMS_SUB_SRCDIR(AC_CONFIG_DIR[,TARGET_SUBDIR])
 dnl
-AC_DEFUN(_RTEMS_SUB_SRCDIR,[
+AC_DEFUN([_RTEMS_SUB_SRCDIR],[
 # _RTEMS_SUB_SRCDIR
     _RTEMS_ADJUST_SRCDIR(ac_sub_srcdir,$1,$2)
Index: c/src/aclocal/tool-paths.m4
===================================================================
--- c/src/aclocal/tool-paths.m4	(revision dfc099fd8bef4fd78e47ed17a737f7c7aee58bbd)
+++ c/src/aclocal/tool-paths.m4	(revision 9550125efa34beb0d23ecf1ef5c0948dfb5b9cb9)
@@ -1,3 +1,3 @@
-AC_DEFUN(RTEMS_TOOLPATHS,
+AC_DEFUN([RTEMS_TOOLPATHS],
 [
 # tooldir='$(exec_prefix)/'$target_alias