Index: c/src/lib/libbsp/epiphany/epiphany_sim/start/start.S
===================================================================
--- c/src/lib/libbsp/epiphany/epiphany_sim/start/start.S	(revision 865b30279a5658837dc1c5ad9680bcf51d9cc9dc)
+++ c/src/lib/libbsp/epiphany/epiphany_sim/start/start.S	(revision 9819425feecd8d06de1baaf8a8e07f7151623648)
@@ -29,5 +29,5 @@
 EXTERN(bsp_section_bss_begin)
 EXTERN(bsp_section_bss_end)
-EXTERN(ISR_Handler)
+EXTERN(_ISR_Handler)
 EXTERN(bsp_start_vector_table_end)
 EXTERN(bsp_start_vector_table_size)
@@ -35,11 +35,11 @@
 EXTERN(bsp_section_stack_begin)
 
-PUBLIC(EPIPHANY_Exception_default)
+PUBLIC(_EPIPHANY_Exception_default)
 PUBLIC(bsp_start_vector_table_begin)
-PUBLIC(start)
+PUBLIC(_start)
 
 .section .vector, "wax"
-TYPE_FUNC(start)
-SYM(start):
+TYPE_FUNC(_start)
+SYM(_start):
   .balign 4 ;
     b .normal_start
@@ -72,5 +72,5 @@
     b _EPIPHANY_Exception_default
 
-_bsp_start_vector_table_begin:
+bsp_start_vector_table_begin:
   .word .normal_start /* Reset */
   .word _EPIPHANY_Exception_default /* SW exception */
@@ -118,6 +118,6 @@
 _jump_to_c:
   /* Jump to bootcard */
-  mov  r3, %low(_boot_card)
-  movt r3, %high(_boot_card)
+  mov  r3, %low(boot_card)
+  movt r3, %high(boot_card)
   jalr r3
 
@@ -163,5 +163,5 @@
 
 .balign 4
-TYPE_FUNC(EPIPHANY_Exception_default)
-SYM(EPIPHANY_Exception_default):
+TYPE_FUNC(_EPIPHANY_Exception_default)
+SYM(_EPIPHANY_Exception_default):
   idle
Index: c/src/lib/libbsp/epiphany/epiphany_sim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/epiphany/epiphany_sim/startup/linkcmds	(revision 865b30279a5658837dc1c5ad9680bcf51d9cc9dc)
+++ c/src/lib/libbsp/epiphany/epiphany_sim/startup/linkcmds	(revision 9819425feecd8d06de1baaf8a8e07f7151623648)
@@ -144,19 +144,19 @@
        } > REGION_RODATA AT > REGION_RODATA_LOAD
        .tdata :   {
-               __TLS_Data_begin = .;
+               _TLS_Data_begin = .;
                *(.tdata .tdata.* .gnu.linkonce.td.*)
-               __TLS_Data_end = .;
+               _TLS_Data_end = .;
        } > REGION_RODATA AT > REGION_RODATA_LOAD
        .tbss :   {
-               __TLS_BSS_begin = .;
+               _TLS_BSS_begin = .;
                *(.tbss .tbss.* .gnu.linkonce.tb.*) *(.tcommon)
-               __TLS_BSS_end = .;
-       } > REGION_RODATA AT > REGION_RODATA_LOAD
-       __TLS_Data_size = __TLS_Data_end - __TLS_Data_begin;
-       __TLS_Data_begin = __TLS_Data_size != 0 ? __TLS_Data_begin : __TLS_BSS_begin;
-       __TLS_Data_end = __TLS_Data_size != 0 ? __TLS_Data_end : __TLS_BSS_begin;
-       __TLS_BSS_size = __TLS_BSS_end - __TLS_BSS_begin;
-       __TLS_Size = __TLS_BSS_end - __TLS_Data_begin;
-       __TLS_Alignment = MAX (ALIGNOF (.tdata), ALIGNOF (.tbss));
+               _TLS_BSS_end = .;
+       } > REGION_RODATA AT > REGION_RODATA_LOAD
+       _TLS_Data_size = _TLS_Data_end - _TLS_Data_begin;
+       _TLS_Data_begin = _TLS_Data_size != 0 ? _TLS_Data_begin : _TLS_BSS_begin;
+       _TLS_Data_end = _TLS_Data_size != 0 ? _TLS_Data_end : _TLS_BSS_begin;
+       _TLS_BSS_size = _TLS_BSS_end - _TLS_BSS_begin;
+       _TLS_Size = _TLS_BSS_end - _TLS_Data_begin;
+       _TLS_Alignment = MAX (ALIGNOF (.tdata), ALIGNOF (.tbss));
        .preinit_array :   {
                PROVIDE_HIDDEN (__preinit_array_start = .);
@@ -364,7 +364,7 @@
   bsp_section_stack_size = bsp_section_stack_begin - bsp_section_stack_end;
 
-  _RamBase = ORIGIN (REGION_WORK);
-  _RamSize = LENGTH (REGION_WORK);
-  _WorkAreaBase = bsp_section_work_begin;
-  _HeapSize = 0;
+  RamBase = ORIGIN (REGION_WORK);
+  RamSize = LENGTH (REGION_WORK);
+  WorkAreaBase = bsp_section_work_begin;
+  HeapSize = 0;
 }
Index: cpukit/score/cpu/epiphany/epiphany-context-switch.S
===================================================================
--- cpukit/score/cpu/epiphany/epiphany-context-switch.S	(revision 865b30279a5658837dc1c5ad9680bcf51d9cc9dc)
+++ cpukit/score/cpu/epiphany/epiphany-context-switch.S	(revision 9819425feecd8d06de1baaf8a8e07f7151623648)
@@ -40,5 +40,4 @@
 PUBLIC(_CPU_Context_restore_fp)
 PUBLIC(_CPU_Context_save_fp)
-PUBLIC(restore)
 
 SYM(_CPU_Context_switch):
@@ -123,5 +122,5 @@
   str r27, [r0,66]
 
-SYM(restore):
+.Lrestore:
 
   /* r1 contains buffer address, skip it */
@@ -206,5 +205,5 @@
 SYM(_CPU_Context_restore):
   mov     r1, r0
-  b       _restore
+  b       .Lrestore
   nop
 
Index: cpukit/score/cpu/epiphany/epiphany-exception-handler.S
===================================================================
--- cpukit/score/cpu/epiphany/epiphany-exception-handler.S	(revision 865b30279a5658837dc1c5ad9680bcf51d9cc9dc)
+++ cpukit/score/cpu/epiphany/epiphany-exception-handler.S	(revision 9819425feecd8d06de1baaf8a8e07f7151623648)
@@ -44,10 +44,10 @@
 EXTERN(bsp_start_vector_table_begin)
 EXTERN(_Thread_Dispatch)
-PUBLIC(ISR_Handler)
+PUBLIC(_ISR_Handler)
 
 .section .text, "ax"
 .align 4
-TYPE_FUNC(ISR_Handler)
-SYM(ISR_Handler):
+TYPE_FUNC(_ISR_Handler)
+SYM(_ISR_Handler):
   /* Reserve space for CPU_Exception_frame */
   sub sp, sp, #(CPU_EXCEPTION_FRAME_SIZE)
@@ -135,6 +135,6 @@
   str r1, [sp,64]
 
-  mov  r33, %low(__Per_CPU_Information)
-  movt r33, %high(__Per_CPU_Information)
+  mov  r33, %low(_Per_CPU_Information)
+  movt r33, %high(_Per_CPU_Information)
 
        add  r6, r33, #(PER_CPU_ISR_NEST_LEVEL)
@@ -152,5 +152,5 @@
   mov  r32, sp
 
-  /* Keep __Per_CPU_Information address in r33 - Callee saved */
+  /* Keep _Per_CPU_Information address in r33 - Callee saved */
   mov  r33, r18
 
@@ -164,5 +164,5 @@
   mov  r27, r62
   lsl  r27, r27, #2
-  mov  r26, %low(_bsp_start_vector_table_begin)
+  mov  r26, %low(bsp_start_vector_table_begin)
   movt r15, #0
   add  r27, r27, r26
@@ -185,5 +185,5 @@
   mov  sp, r32
 
-  /* Get the address of __Per_CPU_Information */
+  /* Get the address of _Per_CPU_Information */
   mov r18, r33
 
@@ -214,6 +214,6 @@
   beq     exception_frame_restore
 
-  mov     r35, %low(__Thread_Dispatch)
-  movt    r35, %high(__Thread_Dispatch)
+  mov     r35, %low(_Thread_Dispatch)
+  movt    r35, %high(_Thread_Dispatch)
   jalr    r35
 