Index: cpukit/libmisc/capture/capture-cli.c
===================================================================
--- cpukit/libmisc/capture/capture-cli.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/capture/capture-cli.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -67,8 +67,8 @@
                         char**                       argv,
                         rtems_monitor_command_arg_t* command_arg,
-                        boolean                      verbose)
+                        bool                         verbose)
 {
   uint32_t          size = 0;
-  rtems_boolean     enable = 0;
+  bool              enable = false;
   rtems_status_code sc;
   int               arg;
@@ -85,5 +85,5 @@
     {
       if (argv[arg][1] == 'i')
-        enable = 1;
+        enable = true;
       else
         fprintf (stdout, "warning: option -%c ignored\n", argv[arg][1]);
@@ -138,5 +138,5 @@
                          char**                       argv,
                          rtems_monitor_command_arg_t* command_arg,
-                         boolean                      verbose)
+                         bool                         verbose)
 {
   rtems_status_code sc;
@@ -166,5 +166,5 @@
                           char**                       argv,
                           rtems_monitor_command_arg_t* command_arg,
-                          boolean                      verbose)
+                          bool                         verbose)
 {
   rtems_status_code sc;
@@ -194,5 +194,5 @@
                            char**                       argv,
                            rtems_monitor_command_arg_t* command_arg,
-                           boolean                      verbose)
+                           bool                         verbose)
 {
   rtems_status_code sc;
@@ -222,5 +222,5 @@
                              char**                       argv,
                              rtems_monitor_command_arg_t* command_arg,
-                             boolean                      verbose)
+                             bool                         verbose)
 {
   rtems_task_priority   ceiling = rtems_capture_watch_get_ceiling ();
@@ -461,5 +461,5 @@
                              char**                       argv,
                              rtems_monitor_command_arg_t* command_arg,
-                             boolean                      verbose)
+                             bool                         verbose)
 {
   rtems_status_code   sc;
@@ -534,5 +534,5 @@
                               char**                       argv,
                               rtems_monitor_command_arg_t* command_arg,
-                              boolean                      verbose)
+                              bool                         verbose)
 {
   rtems_capture_control_t* control = rtems_capture_get_control_list ();
@@ -620,8 +620,8 @@
  */
 
-static rtems_boolean
+static bool
 rtems_capture_cli_get_name_id (char*          arg,
-                               rtems_boolean* valid_name,
-                               rtems_boolean* valid_id,
+                               bool*          valid_name,
+                               bool*          valid_id,
                                rtems_name*    name,
                                rtems_id*      id)
@@ -649,5 +649,5 @@
   {
     *id = strtoul (arg, 0, 16);
-    *valid_id = 1;
+    *valid_id = true;
   }
   else
@@ -664,5 +664,5 @@
     rname = rtems_build_name(arg[0], arg[1], arg[2], arg[3]);
     *name = rname;
-    *valid_name = 1;
+    *valid_name = true;
   }
 
@@ -686,5 +686,5 @@
                              char**                       argv,
                              rtems_monitor_command_arg_t* command_arg,
-                             boolean                      verbose)
+                             bool                         verbose)
 {
   rtems_status_code sc;
@@ -692,6 +692,6 @@
   rtems_name        name = 0;
   rtems_id          id = 0;
-  rtems_boolean     valid_name = 0;
-  rtems_boolean     valid_id = 0;
+  bool              valid_name = false;
+  bool              valid_id = false;
 
   if (argc <= 1)
@@ -749,5 +749,5 @@
                              char**                       argv,
                              rtems_monitor_command_arg_t* command_arg,
-                             boolean                      verbose)
+                             bool                         verbose)
 {
   rtems_status_code sc;
@@ -755,6 +755,6 @@
   rtems_name        name = 0;
   rtems_id          id = 0;
-  rtems_boolean     valid_name = 0;
-  rtems_boolean     valid_id = 0;
+  bool              valid_name = false;
+  bool              valid_id = false;
 
   if (argc <= 1)
@@ -811,5 +811,5 @@
                                  char**                       argv,
                                  rtems_monitor_command_arg_t* command_arg,
-                                 boolean                      verbose)
+                                 bool                         verbose)
 {
   rtems_status_code sc;
@@ -817,7 +817,7 @@
   rtems_name        name = 0;
   rtems_id          id = 0;
-  rtems_boolean     valid_name = 0;
-  rtems_boolean     valid_id = 0;
-  rtems_boolean     enable = 0;
+  bool              valid_name = false;
+  bool              valid_id = false;
+  bool              enable = false;
 
   if (argc <= 2)
@@ -836,7 +836,7 @@
     {
       if (strcmp (argv[arg], "on") == 0)
-        enable = 1;
+        enable = true;
       else if (strcmp (argv[arg], "off") == 0)
-        enable = 0;
+        enable = false;
       else if (!rtems_capture_cli_get_name_id (argv[arg], &valid_name,
                                                &valid_id, &name, &id))
@@ -878,9 +878,9 @@
                                 char**                       argv,
                                 rtems_monitor_command_arg_t* command_arg,
-                                boolean                      verbose)
+                                bool                         verbose)
 {
   rtems_status_code sc;
   int               arg;
-  rtems_boolean     enable = 0;
+  bool              enable = false;
 
   if (argc <= 1)
@@ -899,7 +899,7 @@
     {
       if (strcmp (argv[arg], "on") == 0)
-        enable = 1;
+        enable = true;
       else if (strcmp (argv[arg], "off") == 0)
-        enable = 0;
+        enable = false;
     }
   }
@@ -932,5 +932,5 @@
                                  char**                       argv,
                                  rtems_monitor_command_arg_t* command_arg,
-                                 boolean                      verbose)
+                                 bool                         verbose)
 {
   rtems_status_code   sc;
@@ -983,5 +983,5 @@
                                char**                       argv,
                                rtems_monitor_command_arg_t* command_arg,
-                               boolean                      verbose)
+                               bool                         verbose)
 {
   rtems_status_code   sc;
@@ -1083,18 +1083,18 @@
   int                          trigger = 0; /* switch */
   rtems_capture_trigger_mode_t trigger_mode = rtems_capture_from_any;
-  rtems_boolean                trigger_set = 0;
-  rtems_boolean                is_from = 0;
+  bool                         trigger_set = false;
+  bool                         is_from = false;
   rtems_name                   name = 0;
   rtems_id                     id = 0;
-  rtems_boolean                valid_name = 0;
-  rtems_boolean                valid_id = 0;
+  bool                         valid_name = false;
+  bool                         valid_id = false;
   rtems_name                   from_name = 0;
   rtems_id                     from_id = 0;
-  rtems_boolean                from_valid_name = 0;
-  rtems_boolean                from_valid_id = 0;
+  bool                         from_valid_name = false;
+  bool                         from_valid_id = false;
   rtems_name                   to_name = 0;
   rtems_id                     to_id = 0;
-  rtems_boolean                to_valid_name = 0;
-  rtems_boolean                to_valid_id = 0;
+  bool                         to_valid_name = false;
+  bool                         to_valid_id = false;
 
   for (arg = 1; arg < argc; arg++)
@@ -1117,6 +1117,6 @@
       if (!trigger_set)
       {
-        rtems_boolean found = 0;
-        int           t;
+        bool found = false;
+        int  t;
         
         for (t = 0; t < RTEMS_CAPTURE_CLI_TRIGGERS_NUM; t++)
@@ -1124,9 +1124,9 @@
           {
             trigger = t;
-            found = 1;
+            found = true;
             break;
           }
 
-        trigger_set = 1;
+        trigger_set = true;
 
         /*
@@ -1157,5 +1157,5 @@
           if (!from_valid_name && !from_valid_id)
           {
-            from_valid_name = 1;
+            from_valid_name = true;
             from_name       = name;
           }
@@ -1165,5 +1165,5 @@
         else if (!to_valid_name && !to_valid_id)
         {
-          to_valid_name = 1;
+          to_valid_name = true;
           to_name       = name;
         }
@@ -1178,5 +1178,5 @@
           if (!from_valid_name && !from_valid_id)
           {
-            from_valid_id = 1;
+            from_valid_id = true;
             from_id       = id;
           }
@@ -1186,5 +1186,5 @@
         else if (!to_valid_name && !to_valid_id)
         {
-          to_valid_id = 1;
+          to_valid_id = true;
           to_id       = id;
         }
@@ -1261,5 +1261,5 @@
                                char**                       argv,
                                rtems_monitor_command_arg_t* command_arg,
-                               boolean                      verbose)
+                               bool                         verbose)
 {
   rtems_capture_cli_trigger_worker (1, argc, argv);
@@ -1279,5 +1279,5 @@
                                  char**                       argv,
                                  rtems_monitor_command_arg_t* command_arg,
-                                 boolean                      verbose)
+                                 bool                         verbose)
 {
   rtems_capture_cli_trigger_worker (0, argc, argv);
@@ -1297,8 +1297,8 @@
                                  char**                       argv,
                                  rtems_monitor_command_arg_t* command_arg,
-                                 boolean                      verbose)
+                                 bool                         verbose)
 {
   rtems_status_code       sc;
-  rtems_boolean           csv = 0;
+  bool                    csv = false;
   static int              dump_total = 22;
   int                     total;
@@ -1313,5 +1313,5 @@
     {
       if (argv[arg][1] == 'c')
-        csv = 1;
+        csv = true;
       else
         fprintf (stdout, "warning: option -%c ignored\n", argv[arg][1]);
@@ -1319,6 +1319,6 @@
     else
     {
-      int i;
-      int l;
+      size_t i;
+      size_t l;
 
       l = strlen (argv[arg]);
@@ -1428,8 +1428,8 @@
                          char**                       argv,
                          rtems_monitor_command_arg_t* command_arg,
-                         boolean                      verbose)
+                         bool                         verbose)
 {
   rtems_status_code sc;
-  rtems_boolean     prime = 1;
+  bool              prime = true;
   int               arg;
 
@@ -1439,5 +1439,5 @@
     {
       if (argv[arg][1] == 'n')
-        prime = 0;
+        prime = false;
       else
         fprintf (stdout, "warning: option -%c ignored\n", argv[arg][1]);
@@ -1610,5 +1610,5 @@
 rtems_capture_cli_init (rtems_capture_timestamp timestamp)
 {
-  int cmd;
+  size_t cmd;
 
   capture_timestamp = timestamp;
Index: cpukit/libmisc/capture/capture.c
===================================================================
--- cpukit/libmisc/capture/capture.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/capture/capture.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -139,5 +139,5 @@
  *
  */
-static inline rtems_boolean
+static inline bool
 rtems_capture_match_names (rtems_name lhs, rtems_name rhs)
 {
@@ -155,5 +155,5 @@
  *
  */
-static inline rtems_boolean
+static inline bool
 rtems_capture_match_ids (rtems_id lhs, rtems_id rhs)
 {
@@ -168,5 +168,5 @@
  * This function matches a name and/or id.
  */
-static inline rtems_boolean
+static inline bool
 rtems_capture_match_name_id (rtems_name lhs_name,
                              rtems_id   lhs_id,
@@ -213,5 +213,5 @@
  *
  */
-static inline rtems_boolean
+static inline bool
 rtems_capture_by_in_to (uint32_t                 events,
                         rtems_capture_task_t*    by,
@@ -583,5 +583,5 @@
  * cause of a trigger.
  */
-rtems_boolean
+bool
 rtems_capture_trigger (rtems_capture_task_t* ft,
                        rtems_capture_task_t* tt,
@@ -656,5 +656,5 @@
  *
  */
-static rtems_boolean
+static bool
 rtems_capture_create_task (rtems_tcb* current_task,
                            rtems_tcb* new_task)
@@ -1147,5 +1147,5 @@
  */
 rtems_status_code
-rtems_capture_control (rtems_boolean enable)
+rtems_capture_control (bool enable)
 {
   rtems_interrupt_level level;
@@ -1179,5 +1179,5 @@
  */
 rtems_status_code
-rtems_capture_monitor (rtems_boolean enable)
+rtems_capture_monitor (bool enable)
 {
   rtems_interrupt_level level;
@@ -1210,5 +1210,5 @@
  */
 rtems_status_code
-rtems_capture_flush (rtems_boolean prime)
+rtems_capture_flush (bool prime)
 {
   rtems_interrupt_level level;
@@ -1294,5 +1294,5 @@
   rtems_capture_control_t** prev_control;
   rtems_capture_task_t*     task;
-  rtems_boolean             found = 0;
+  bool                      found = false;
 
   /*
@@ -1319,5 +1319,5 @@
       control = *prev_control;
 
-      found = 1;
+      found = true;
     }
     else
@@ -1343,9 +1343,9 @@
  */
 rtems_status_code
-rtems_capture_watch_ctrl (rtems_name name, rtems_id id, rtems_boolean enable)
+rtems_capture_watch_ctrl (rtems_name name, rtems_id id, bool enable)
 {
   rtems_interrupt_level    level;
   rtems_capture_control_t* control;
-  rtems_boolean            found = 0;
+  bool                     found = false;
 
   /*
@@ -1366,5 +1366,5 @@
       rtems_interrupt_enable (level);
 
-      found = 1;
+      found = true;
     }
   }
@@ -1386,5 +1386,5 @@
  */
 rtems_status_code
-rtems_capture_watch_global (rtems_boolean enable)
+rtems_capture_watch_global (bool enable)
 {
   rtems_interrupt_level level;
@@ -1413,5 +1413,5 @@
  * This function returns the global watch state.
  */
-rtems_boolean
+bool
 rtems_capture_watch_global_on (void)
 {
@@ -1565,6 +1565,6 @@
     else
     {
-      rtems_boolean done = 0;
-      int           i;
+      bool done = false;
+      int  i;
       
       control->by_triggers |= flags;
@@ -1577,5 +1577,5 @@
         {
           control->by[i].trigger |= flags;
-          done = 1;
+          done = true;
           break;
         }
@@ -1592,5 +1592,5 @@
             control->by[i].id = from_id;
             control->by[i].trigger = flags;
-            done = 1;
+            done = true;
             break;
           }
@@ -1649,6 +1649,6 @@
     else
     {
-      rtems_boolean done = 0;
-      int           i;
+      bool done = false;
+      int  i;
       
       control->by_triggers &= ~flags;
@@ -1663,5 +1663,5 @@
           if (control->by[i].trigger == 0)
             control->by_valid &= ~RTEMS_CAPTURE_CONTROL_FROM_MASK (i);
-          done = 1;
+          done = true;
           break;
         }
Index: cpukit/libmisc/capture/capture.h
===================================================================
--- cpukit/libmisc/capture/capture.h	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/capture/capture.h	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -287,5 +287,5 @@
  */
 rtems_status_code
-rtems_capture_control (rtems_boolean enable);
+rtems_capture_control (bool enable);
 
 /**
@@ -299,5 +299,5 @@
  */
 rtems_status_code
-rtems_capture_monitor (rtems_boolean enable);
+rtems_capture_monitor (bool enable);
 
 /*
@@ -310,5 +310,5 @@
  */
 rtems_status_code
-rtems_capture_flush (rtems_boolean prime);
+rtems_capture_flush (bool prime);
 
 /**
@@ -348,5 +348,5 @@
 rtems_capture_watch_ctrl (rtems_name    name,
                           rtems_id      id,
-                          rtems_boolean enable);
+                          bool enable);
 
 /**
@@ -360,5 +360,5 @@
  */
 rtems_status_code
-rtems_capture_watch_global (rtems_boolean enable);
+rtems_capture_watch_global (bool enable);
 
 /**
@@ -369,5 +369,5 @@
  * This function returns the global watch state.
  */
-rtems_boolean
+bool
 rtems_capture_watch_global_on (void);
 
@@ -571,5 +571,5 @@
  * a valid task.
  */
-static inline rtems_boolean
+static inline bool
 rtems_capture_task_valid (rtems_capture_task_t* task)
 {
Index: cpukit/libmisc/serdbg/serdbg.c
===================================================================
--- cpukit/libmisc/serdbg/serdbg.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/serdbg/serdbg.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -51,5 +51,5 @@
 \*=========================================================================*/
 {
-  static boolean is_initialized = FALSE;
+  static bool is_initialized = false;
 
   rtems_status_code rc = RTEMS_SUCCESSFUL;
@@ -58,5 +58,5 @@
     return RTEMS_SUCCESSFUL;
   }
-  is_initialized = TRUE;
+  is_initialized = true;
   /*
    * try to open serial device
Index: cpukit/libmisc/serdbg/serdbg.h
===================================================================
--- cpukit/libmisc/serdbg/serdbg.h	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/serdbg/serdbg.h	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -29,10 +29,11 @@
 extern "C" {
 #endif
+
 typedef struct {
   uint32_t   baudrate;      /* debug baud rate, e.g. 57600            */
   void (*callout)(void);    /* callout pointer during polling         */
-  int  (*open_io)(const char *dev_name,uint32_t   baudrate); /* I/O open fnc */
+  int  (*open_io)(const char *dev_name, uint32_t baudrate); /* I/O open fnc */
   const char *devname;      /* debug device, e.g. "/dev/tty01"        */
-  uint8_t   skip_init_bkpt; /* if TRUE, do not stop when initializing */
+  bool      skip_init_bkpt; /* if TRUE, do not stop when initializing */
 } serdbg_conf_t;
 
Index: cpukit/libmisc/serdbg/serdbgcnf.h
===================================================================
--- cpukit/libmisc/serdbg/serdbgcnf.h	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/serdbg/serdbgcnf.h	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -66,7 +66,7 @@
 
 #ifdef CONFIGURE_SERDBG_SKIP_INIT_BKPT
-  TRUE,
+  true,
 #else
-  FALSE,
+  false,
 #endif
 };
Index: cpukit/libmisc/serdbg/serdbgio.c
===================================================================
--- cpukit/libmisc/serdbg/serdbgio.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/serdbg/serdbgio.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -68,5 +68,5 @@
 \*=========================================================================*/
 {
-  boolean err_occurred = FALSE;
+  bool err_occurred = false;
   rtems_libio_t *iop = NULL;
   struct termios act_termios;
@@ -100,5 +100,5 @@
   case 230400: baudcode = B230400; break;
   case 460800: baudcode = B460800; break;
-  default    :   err_occurred = TRUE; errno = EINVAL; break;
+  default    :   err_occurred = true; errno = EINVAL; break;
   }
 
@@ -114,10 +114,10 @@
       serdbg_fd = open(dev_name,O_RDWR);
       if (serdbg_fd < 0) {
-	err_occurred = TRUE;
+	err_occurred = true;
       }
       else {
 	if (serdbg_fd < 3) {
 	  if (fd_store_used >= FD_STORE_CNT) {
-	    err_occurred = TRUE;
+	    err_occurred = true;
 	  }
 	  else {
@@ -154,5 +154,5 @@
   if (!err_occurred &&
       (0 != tcgetattr(serdbg_fd,&act_termios))) {
-      err_occurred = TRUE;
+      err_occurred = true;
   }
   if (!err_occurred) {
@@ -170,5 +170,5 @@
 
     if (0 != tcsetattr(serdbg_fd,TCSANOW,&act_termios)) {
-	err_occurred = TRUE;
+	err_occurred = true;
     }
   }
Index: cpukit/libmisc/serdbg/termios_printk.c
===================================================================
--- cpukit/libmisc/serdbg/termios_printk.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/serdbg/termios_printk.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -153,5 +153,5 @@
 \*=========================================================================*/
 {
-  boolean err_occurred = FALSE;
+  bool err_occurred = false;
   rtems_libio_t *iop = NULL;
   struct termios act_termios;
@@ -187,5 +187,5 @@
   case 230400: baudcode = B230400; break;
   case 460800: baudcode = B460800; break;
-  default    :   err_occurred = TRUE; errno = EINVAL; break;
+  default    :   err_occurred = true; errno = EINVAL; break;
   }
  /*
@@ -197,5 +197,5 @@
     termios_printk_fd = open(dev_name,O_RDWR);
     if (termios_printk_fd < 0) {
-      err_occurred = TRUE;
+      err_occurred = true;
     }
   }
@@ -217,5 +217,5 @@
   if (!err_occurred &&
       (0 != tcgetattr(termios_printk_fd,&act_termios))) {
-      err_occurred = TRUE;
+      err_occurred = true;
   }
   if (!err_occurred) {
@@ -225,5 +225,5 @@
 
     if (0 != tcsetattr(termios_printk_fd,TCSANOW,&act_termios)) {
-	err_occurred = TRUE;
+	err_occurred = true;
     }
   }
Index: cpukit/libmisc/shell/main_logoff.c
===================================================================
--- cpukit/libmisc/shell/main_logoff.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/shell/main_logoff.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -30,5 +30,5 @@
   printf("logoff from the system...");
 
-  rtems_current_shell_env->exit_shell = TRUE;
+  rtems_current_shell_env->exit_shell = true;
 
   return 0;
Index: cpukit/libmisc/shell/shell.c
===================================================================
--- cpukit/libmisc/shell/shell.c	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/shell/shell.c	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -447,11 +447,12 @@
  * ----------------------------------------------- */
 
-void rtems_shell_init_issue(void) {
-  static char issue_inited=FALSE;
+void rtems_shell_init_issue(void)
+{
+  static bool issue_inited=false;
   struct stat buf;
 
   if (issue_inited)
     return;
-  issue_inited = TRUE;
+  issue_inited = true;
 
   /* dummy call to init /etc dir */
@@ -658,5 +659,5 @@
 #define RTEMS_SHELL_PROMPT_SIZE       (128)
 
-rtems_boolean rtems_shell_main_loop(
+bool rtems_shell_main_loop(
   rtems_shell_env_t *shell_env_arg
 )
@@ -674,6 +675,6 @@
   int                argc;
   char              *argv[RTEMS_SHELL_MAXIMUM_ARGUMENTS];
-  rtems_boolean      result = TRUE;
-  rtems_boolean      input_file = FALSE;
+  bool               result = true;
+  bool               input_file = true;
   int                line = 0;
   FILE              *stdinToClose = NULL;
@@ -699,5 +700,5 @@
   if (sc != RTEMS_SUCCESSFUL) {
     rtems_error(sc,"rtems_task_variable_add(current_shell_env):");
-    return FALSE;
+    return false;
   }
 
@@ -724,5 +725,5 @@
         fprintf(stderr, "shell: open output %s failed: %s\n",
                 shell_env_arg->output, strerror(errno));
-        return FALSE;
+        return false;
       }
       stdout = output;
@@ -736,10 +737,10 @@
       fprintf(stderr, "shell: open input %s failed: %s\n",
               shell_env_arg->input, strerror(errno));
-      return FALSE;
+      return false;
     }
     stdin = input;
     stdinToClose = input;
-    shell_env->forever = FALSE;
-    input_file = TRUE;
+    shell_env->forever = false;
+    input_file =true;
   }
   else {
@@ -797,5 +798,5 @@
       if (sc != RTEMS_SUCCESSFUL) {
         rtems_error(sc,"rtems_libio_set_private_env():");
-        result = FALSE;
+        result = false;
         break;
       }
@@ -807,8 +808,8 @@
        */
       if ( input_file ) {
-        result = TRUE;
+        result = true;
       } else {
-        if (rtems_shell_login(stdin,stdout)) result = FALSE;
-        else                                 result = TRUE;
+        if (rtems_shell_login(stdin,stdout)) result = false;
+        else                                 result = true;
       }
 
@@ -829,5 +830,5 @@
           chdir("/"); /* XXX: chdir to getpwent homedir */
         
-        shell_env->exit_shell = FALSE;
+        shell_env->exit_shell = false;
 
         for (;;) {
@@ -982,5 +983,5 @@
   shell_env->devname       = devname;
   shell_env->taskname      = task_name;
-  shell_env->exit_shell    = FALSE;
+  shell_env->exit_shell    = false;
   shell_env->forever       = forever;
   shell_env->echo          = echo;
Index: cpukit/libmisc/shell/shell.h
===================================================================
--- cpukit/libmisc/shell/shell.h	(revision 4d624fead8774a1aaa51e49a6a5e9df1e2e71257)
+++ cpukit/libmisc/shell/shell.h	(revision 11672356e7f870033e27f934c57a5d48d061991e)
@@ -182,6 +182,6 @@
   char       *taskname;
   /* user extensions */
-  int         exit_shell; /* logout */
-  int         forever   ; /* repeat login */
+  bool        exit_shell; /* logout */
+  bool        forever   ; /* repeat login */
   int         errorlevel;
   int         echo;
@@ -193,5 +193,5 @@
 } rtems_shell_env_t;
 
-rtems_boolean rtems_shell_main_loop(
+bool rtems_shell_main_loop(
   rtems_shell_env_t *rtems_shell_env
 );