Index: c/src/lib/libbsp/mips/csb350/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/csb350/ChangeLog	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/csb350/ChangeLog	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -1,2 +1,7 @@
+2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	* clock/clockdrv.c: include "../../../shared/clockdrv_shell.h".
+	* Makefile.am: Reflect changes above.
+
 2008-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/csb350/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/csb350/Makefile.am	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/csb350/Makefile.am	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -37,5 +37,5 @@
     ../../shared/gnatinstallhandler.c ../../shared/setvec.c
 # clock
-libbsp_a_SOURCES += clock/clockdrv.c
+libbsp_a_SOURCES += clock/clockdrv.c ../../../shared/clockdrv_shell.h
 # console
 libbsp_a_SOURCES += console/console-io.c ../../shared/console-polled.c
Index: c/src/lib/libbsp/mips/csb350/clock/clockdrv.c
===================================================================
--- c/src/lib/libbsp/mips/csb350/clock/clockdrv.c	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/csb350/clock/clockdrv.c	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -79,3 +79,3 @@
 #define Clock_driver_support_shutdown_hardware()
 
-#include "../../../shared/clockdrv_shell.c"
+#include "../../../shared/clockdrv_shell.h"
Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -1,2 +1,7 @@
+2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	* clock/clockdrv.c: include "../../../shared/clockdrv_shell.h".
+	* Makefile.am: Reflect changes above.
+
 2008-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/genmongoosev/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -37,5 +37,5 @@
     ../../shared/setvec.c ../../shared/bspgetworkarea.c
 # clock
-libbsp_a_SOURCES += clock/clockdrv.c
+libbsp_a_SOURCES += clock/clockdrv.c ../../../shared/clockdrv_shell.h
 # console
 libbsp_a_SOURCES += console/conscfg.c ../../shared/console.c
Index: c/src/lib/libbsp/mips/genmongoosev/clock/clockdrv.c
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/clock/clockdrv.c	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/genmongoosev/clock/clockdrv.c	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -47,3 +47,3 @@
   MONGOOSEV_WRITE_REGISTER( CLOCK_BASE, MONGOOSEV_TIMER_CONTROL_REGISTER, 0 )
 
-#include "../../../shared/clockdrv_shell.c"
+#include "../../../shared/clockdrv_shell.h"
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -1,2 +1,7 @@
+2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	* clock/clockdrv.c: include "../../../shared/clockdrv_shell.h".
+	* Makefile.am: Reflect changes above.
+
 2008-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -40,5 +40,5 @@
     ../../shared/gnatinstallhandler.c ../../shared/setvec.c
 # clock
-libbsp_a_SOURCES += clock/clockdrv.c
+libbsp_a_SOURCES += clock/clockdrv.c ../../../shared/clockdrv_shell.h
 # console
 libbsp_a_SOURCES += ../../shared/console-polled.c console/console-io.c
Index: c/src/lib/libbsp/mips/jmr3904/clock/clockdrv.c
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/clock/clockdrv.c	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/jmr3904/clock/clockdrv.c	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -45,3 +45,3 @@
 #define Clock_driver_support_shutdown_hardware()
 
-#include "../../../shared/clockdrv_shell.c"
+#include "../../../shared/clockdrv_shell.h"
Index: c/src/lib/libbsp/mips/rbtx4925/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/ChangeLog	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/rbtx4925/ChangeLog	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -1,2 +1,7 @@
+2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	* clock/clockdrv.c: include "../../../shared/clockdrv_shell.h".
+	* Makefile.am: Reflect changes above.
+
 2008-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/rbtx4925/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -40,10 +40,8 @@
     startup/idtmem.S startup/idttlb.S startup/exception.S
 
-# FIXME: clockdrv.c and clockdrv_shell.c are structurally flawed
-clock_CPPFLAGS = -I$(srcdir)/../../shared
-EXTRA_DIST = ../../mips/shared/clockdrv_shell.c
+# clock
 noinst_PROGRAMS += clock.rel
-clock_rel_SOURCES = clock/clockdrv.c
-clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(clock_CPPFLAGS)
+clock_rel_SOURCES = clock/clockdrv.c ../../../shared/clockdrv_shell.h
+clock_rel_CPPFLAGS = $(AM_CPPFLAGS)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
Index: c/src/lib/libbsp/mips/rbtx4925/clock/clockdrv.c
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/clock/clockdrv.c	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/rbtx4925/clock/clockdrv.c	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -110,3 +110,3 @@
 
 
-#include "../../../shared/clockdrv_shell.c"
+#include "../../../shared/clockdrv_shell.h"
Index: c/src/lib/libbsp/mips/rbtx4938/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/ChangeLog	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/rbtx4938/ChangeLog	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -1,2 +1,7 @@
+2008-09-30	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
+
+	* clock/clockdrv.c: include "../../../shared/clockdrv_shell.h".
+	* Makefile.am: Reflect changes above.
+
 2008-09-29	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/mips/rbtx4938/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -40,10 +40,8 @@
     startup/idtmem.S startup/idttlb.S startup/exception.S
 
-# FIXME: clockdrv.c and clockdrv_shell.c are structurally flawed
-clock_CPPFLAGS = -I$(srcdir)/../../shared
-EXTRA_DIST = ../../mips/shared/clockdrv_shell.c
+# clock
 noinst_PROGRAMS += clock.rel
-clock_rel_SOURCES = clock/clockdrv.c
-clock_rel_CPPFLAGS = $(AM_CPPFLAGS) $(clock_CPPFLAGS)
+clock_rel_SOURCES = clock/clockdrv.c ../../../shared/clockdrv_shell.h
+clock_rel_CPPFLAGS = $(AM_CPPFLAGS)
 clock_rel_LDFLAGS = $(RTEMS_RELLDFLAGS)
 
Index: c/src/lib/libbsp/mips/rbtx4938/clock/clockdrv.c
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/clock/clockdrv.c	(revision 22f9c062f19b5d8b965afde5324d377e6ea8d2c0)
+++ c/src/lib/libbsp/mips/rbtx4938/clock/clockdrv.c	(revision 11978407aa7b5dd03ad37acf0a0e38a30bedf2a7)
@@ -99,3 +99,3 @@
 
 
-#include "../../../shared/clockdrv_shell.c"
+#include "../../../shared/clockdrv_shell.h"