Index: scripts/gccnewlib/base-g77.add
===================================================================
--- scripts/gccnewlib/base-g77.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gccnewlib/base-g77.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -7,4 +7,6 @@
 Group: %{rpmgroup}
 Requires: rtems-base-gcc
+Requires(post): /sbin/install-info
+Requires(preun): /sbin/install-info
 
 %description -n %{rpmprefix}rtems@osversion@-base-g77
@@ -16,4 +18,5 @@
 %defattr(-,root,root)
 %dir %{_infodir}
+%ghost %{_infodir}/dir
 %{_infodir}/g77.info*.gz
 
@@ -23,22 +26,10 @@
 
 %post -n %{rpmprefix}rtems@osversion@-base-g77
-  if test -d %{_infodir}; 
-  then
-    rm -f %{_infodir}/dir
-    f=`find %{_infodir} -name '*.info.gz'`
-    test -n "$f" && for i in $f; do
-      install-info $i %{_infodir}/dir
-    done
-  fi
+  /sbin/install-info --infodir=%{_infodir} %{_infodir}/g77.info.gz 
 
-%postun -n %{rpmprefix}rtems@osversion@-base-g77
-  if test -d %{_infodir}; 
-  then
-    rm -f %{_infodir}/dir
-    f=`find %{_infodir} -name '*.info.gz'`
-    test -n "$f" && for i in $f; do
-      install-info $i %{_infodir}/dir
-    done
-  fi
+%preun -n %{rpmprefix}rtems@osversion@-base-g77
+if [ $1 -eq 0 ]; then
+  /sbin/install-info --delete --infodir=%{_infodir} %{_infodir}/g77.info.gz
+fi
 
 %endif
Index: scripts/gccnewlib/base-gcc.add
===================================================================
--- scripts/gccnewlib/base-gcc.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gccnewlib/base-gcc.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -7,5 +7,5 @@
 
 Requires(post): 	/sbin/install-info
-Requires(postun):	/sbin/install-info
+Requires(preun):	/sbin/install-info
 
 %description -n %{rpmprefix}rtems@osversion@-base-gcc
@@ -18,4 +18,5 @@
 %defattr(-,root,root)
 %dir %{_infodir}
+%ghost %{_infodir}/dir
 %{_infodir}/cpp.info*
 %{_infodir}/cppinternals.info*
@@ -52,5 +53,5 @@
 %endif
 
-%postun -n %{rpmprefix}rtems@osversion@-base-gcc
+%preun -n %{rpmprefix}rtems@osversion@-base-gcc
 if [ $1 -eq 0 ]; then
   /sbin/install-info --delete --infodir=%{_infodir} %{_infodir}/cpp.info.gz
Index: scripts/gccnewlib/base-gcj.add
===================================================================
--- scripts/gccnewlib/base-gcj.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gccnewlib/base-gcj.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -8,5 +8,5 @@
 
 Requires(post): 	/sbin/install-info
-Requires(postun):	/sbin/install-info
+Requires(preun):	/sbin/install-info
 
 %description -n %{rpmprefix}rtems@osversion@-base-gcj
@@ -24,4 +24,5 @@
 
 %dir %{_infodir}
+%ghost %{_infodir}/dir
 %{_infodir}/gcj.info*
 %if "%{gcc_version}" >= "3.3"
@@ -52,5 +53,5 @@
 %endif
 
-%postun -n %{rpmprefix}rtems@osversion@-base-gcj
+%preun -n %{rpmprefix}rtems@osversion@-base-gcj
 if [ $1 -eq 0 ]; then
 /sbin/install-info --delete --infodir=%{_infodir} %{_infodir}/gcj.info*
Index: scripts/gccnewlib/base-gfortran.add
===================================================================
--- scripts/gccnewlib/base-gfortran.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gccnewlib/base-gfortran.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -8,5 +8,5 @@
 
 Requires(post): 	/sbin/install-info
-Requires(postun):	/sbin/install-info
+Requires(preun):	/sbin/install-info
 
 %description -n %{rpmprefix}rtems@osversion@-base-gfortran
@@ -18,4 +18,5 @@
 %defattr(-,root,root)
 %dir %{_infodir}
+%ghost %{_infodir}/dir
 %{_infodir}/gfortran.info*.gz
 
@@ -27,5 +28,5 @@
   /sbin/install-info --infodir=%{_infodir} %{_infodir}/gfortran.info.gz
 
-%postun -n %{rpmprefix}rtems@osversion@-base-gfortran
+%preun -n %{rpmprefix}rtems@osversion@-base-gfortran
 if [ $1 -eq 0 ]; then
   /sbin/install-info --delete --infodir=%{_infodir} %{_infodir}/gfortran.info.gz
Index: scripts/gccnewlib/base-gnat.add
===================================================================
--- scripts/gccnewlib/base-gnat.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gccnewlib/base-gnat.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -8,5 +8,5 @@
 
 Requires(post): 	/sbin/install-info
-Requires(postun):	/sbin/install-info
+Requires(preun):	/sbin/install-info
 
 %description -n %{rpmprefix}rtems@osversion@-base-gnat
@@ -21,4 +21,5 @@
 
 %dir %{_infodir}
+%ghost %{_infodir}/dir
 %{_infodir}/gnat*
 
@@ -28,5 +29,5 @@
   /sbin/install-info --infodir=%{_infodir} %{_infodir}/gnat_ugn_unw.info.gz
 
-%postun -n %{rpmprefix}rtems@osversion@-base-gnat
+%preun -n %{rpmprefix}rtems@osversion@-base-gnat
 if [ $1 -eq 0 ]; then
   /sbin/install-info --delete --infodir=%{_infodir} %{_infodir}/gnat_rm.info.gz
Index: scripts/gdb/base-gdb.add
===================================================================
--- scripts/gdb/base-gdb.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gdb/base-gdb.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -7,5 +7,5 @@
 Group: %{rpmgroup}
 Requires(post):		/sbin/install-info
-Requires(postun):	/sbin/install-info
+Requires(preun):	/sbin/install-info
 
 %description -n %{rpmprefix}rtems@osversion@-base-gdb
@@ -19,4 +19,5 @@
 
 %dir %{_infodir}
+%ghost %{_infodir}/dir
 %{_infodir}/gdb.info*
 
@@ -51,5 +52,5 @@
 %endif
 
-%postun -n %{rpmprefix}rtems@osversion@-base-gdb
+%preun -n %{rpmprefix}rtems@osversion@-base-gdb
 if [ $1 -eq 0 ]; then
   /sbin/install-info --delete --infodir=%{_infodir} %{_infodir}/gdb.info.gz
Index: scripts/gdb/gdb.add
===================================================================
--- scripts/gdb/gdb.add	(revision 894a6b22694934410eb8ae1b83cf5dcc0d1e9228)
+++ scripts/gdb/gdb.add	(revision 0130999422dd0a14cba0876b5a37e82f2c741688)
@@ -54,5 +54,5 @@
 %endif
 %if "%{gdb_target}" == "powerpc-rtems@osversion@"
-%define _sim	0
+%define _sim	1
 %endif
 %if "%{gdb_target}" == "sparc-rtems@osversion@"
@@ -134,4 +134,7 @@
   # Don't care about it, anymore
   rm -rf $RPM_BUILD_ROOT%{_infodir}/readline.info*
+
+  rm -f $RPM_BUILD_ROOT%{_infodir}/dir
+  touch $RPM_BUILD_ROOT%{_infodir}/dir
  
   # gzip info files
@@ -143,7 +146,4 @@
   done
 
-  # We don't ship info/dir
-  rm -f $RPM_BUILD_ROOT%{_infodir}/dir
-
   # gzip man pages
   gzip -9qf $RPM_BUILD_ROOT%{_mandir}/man?/*.? 2>/dev/null