Index: contrib/crossrpms/binutils/base-binutils.add
===================================================================
--- contrib/crossrpms/binutils/base-binutils.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/binutils/base-binutils.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 # ==============================================================
 # rtems-base-binutils
Index: contrib/crossrpms/binutils/binutils.add
===================================================================
--- contrib/crossrpms/binutils/binutils.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/binutils/binutils.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,4 +1,6 @@
 %define binutils_version @BINUTILS_VERS@
 %define binutils_rpmvers %{expand:%(echo @BINUTILS_VERS@ | tr - _)} 
+
+%define build_infos @build_infos@
 
 Name:		@rpmprefix@@tool_target@-binutils
@@ -11,5 +13,5 @@
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 # Required for building the infos
 BuildRequires:	/sbin/install-info
Index: contrib/crossrpms/binutils/build.add
===================================================================
--- contrib/crossrpms/binutils/build.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/binutils/build.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -16,5 +16,5 @@
 
   make all
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
   make info
 %endif
Index: contrib/crossrpms/binutils/install.add
===================================================================
--- contrib/crossrpms/binutils/install.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/binutils/install.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -11,5 +11,5 @@
     install
 
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
   make prefix=$RPM_BUILD_ROOT%{_prefix} \
     bindir=$RPM_BUILD_ROOT%{_bindir} \
@@ -21,9 +21,5 @@
 %endif
 
-%if "%{_prefix}" == "/usr"
-# Conflict with a native binutils' infos
-  rm -rf $RPM_BUILD_ROOT%{_infodir}
-%else
-
+%if %{build_infos}
 # Dropped in FSF-binutils-2.9.5, but Cygwin still ships it.
   rm -rf $RPM_BUILD_ROOT%{_infodir}/configure.info*
@@ -34,4 +30,7 @@
 # binutils does not install share/locale, however it uses it
   mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/locale
+%else
+# Conflict with a native binutils' infos
+  rm -rf $RPM_BUILD_ROOT%{_infodir}
 %endif
 
Index: contrib/crossrpms/gcc/base-g77.add
===================================================================
--- contrib/crossrpms/gcc/base-g77.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/base-g77.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 %if %build_g77
 # ==============================================================
Index: contrib/crossrpms/gcc/base-gcc.add
===================================================================
--- contrib/crossrpms/gcc/base-gcc.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/base-gcc.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 # ==============================================================
 # @rpmprefix@rtems@osversion@-base-gcc
Index: contrib/crossrpms/gcc/base-gcj.add
===================================================================
--- contrib/crossrpms/gcc/base-gcj.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/base-gcj.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 %if %build_gcj
 # ==============================================================
Index: contrib/crossrpms/gcc/base-gfortran.add
===================================================================
--- contrib/crossrpms/gcc/base-gfortran.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/base-gfortran.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 %if %build_f95
 # ==============================================================
Index: contrib/crossrpms/gcc/base-gnat.add
===================================================================
--- contrib/crossrpms/gcc/base-gnat.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/base-gnat.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 %if %build_gnat
 # ==============================================================
Index: contrib/crossrpms/gcc/base-newlib.add
===================================================================
--- contrib/crossrpms/gcc/base-newlib.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/base-newlib.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 %if %build_newlib
 # ==============================================================
Index: contrib/crossrpms/gcc/build.add
===================================================================
--- contrib/crossrpms/gcc/build.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/build.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -58,5 +58,5 @@
 
   make all
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
   make info
 %endif
Index: contrib/crossrpms/gcc/gccnewlib.add
===================================================================
--- contrib/crossrpms/gcc/gccnewlib.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/gccnewlib.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -5,4 +5,5 @@
 
 %define build_newlib 1
+%define build_infos  @build_infos@
 
 %if %build_newlib
Index: contrib/crossrpms/gcc/install.add
===================================================================
--- contrib/crossrpms/gcc/install.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gcc/install.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -8,5 +8,4 @@
 
   make DESTDIR=$RPM_BUILD_ROOT install
-  # cd back to build/
   cd ..
 
@@ -36,5 +35,5 @@
 %endif
 
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
   # We don't ship info/dir
   rm -f $RPM_BUILD_ROOT%{_infodir}/dir
Index: contrib/crossrpms/gdb/base-gdb.add
===================================================================
--- contrib/crossrpms/gdb/base-gdb.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gdb/base-gdb.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,3 +1,3 @@
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 # ==============================================================
 # rtems-base-gdb
Index: contrib/crossrpms/gdb/build.add
===================================================================
--- contrib/crossrpms/gdb/build.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gdb/build.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -16,7 +16,7 @@
 
   make all
-#%if "%{_prefix}" != "/usr"
+%if %{build_infos}
   make info
-#%endif
+%endif
   cd ..
 
Index: contrib/crossrpms/gdb/gdb.add
===================================================================
--- contrib/crossrpms/gdb/gdb.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gdb/gdb.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -1,4 +1,6 @@
 %define gdb_version @GDB_VERS@
 %define gdb_rpmvers %{expand:%(echo @GDB_VERS@ | tr - _)} 
+
+%define build_infos @build_infos@
 
 Name:		@rpmprefix@@tool_target@-gdb
@@ -11,11 +13,10 @@
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
 # Required for building the infos
 BuildRequires:	/sbin/install-info
 BuildRequires:	texinfo >= 4.2
 %endif
-BuildRequires:	flex
-BuildRequires:	bison
+BuildRequires:	ncurses-devel
 
 @SOURCES@
Index: contrib/crossrpms/gdb/install.add
===================================================================
--- contrib/crossrpms/gdb/install.add	(revision a56035b779116fec04e617d5451a65616eaaf465)
+++ contrib/crossrpms/gdb/install.add	(revision 13501927ccdbde00a74efaa20e77afd21af854ae)
@@ -11,5 +11,5 @@
     install
 
-%if "%{_prefix}" != "/usr"
+%if %{build_infos}
   make prefix=$RPM_BUILD_ROOT%{_prefix} \
     bindir=$RPM_BUILD_ROOT%{_bindir} \
@@ -21,8 +21,5 @@
 %endif
 
-%if "%{_prefix}" == "/usr"
-# Conflict with a native gdb's infos
-  rm -rf $RPM_BUILD_ROOT%{_infodir}
-%else
+%if %{build_infos}
   rm -f $RPM_BUILD_ROOT%{_infodir}/dir
   touch $RPM_BUILD_ROOT%{_infodir}/dir
@@ -32,4 +29,7 @@
   rm -rf $RPM_BUILD_ROOT%{_infodir}/configure*
   rm -rf $RPM_BUILD_ROOT%{_infodir}/standards*
+%else
+# Conflict with a native gdb's infos
+  rm -rf $RPM_BUILD_ROOT%{_infodir}
 %endif
 