Index: c/src/lib/libcpu/i386/ChangeLog
===================================================================
--- c/src/lib/libcpu/i386/ChangeLog	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/ChangeLog	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -1,2 +1,7 @@
+2003-09-04	Joel Sherrill <joel@OARcorp.com>
+
+	* cpu.c, cpu.h, cpuModel.S, cpuModel.h, displayCpu.c, idtr.S, page.c:
+	URL for license changed.
+
 2003-08-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/i386/cpu.c
===================================================================
--- c/src/lib/libcpu/i386/cpu.c	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/cpu.c	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -14,5 +14,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/i386/cpu.h
===================================================================
--- c/src/lib/libcpu/i386/cpu.h	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/cpu.h	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -14,5 +14,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Id$
Index: c/src/lib/libcpu/i386/cpuModel.S
===================================================================
--- c/src/lib/libcpu/i386/cpuModel.S	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/cpuModel.S	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -20,5 +20,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/i386/cpuModel.h
===================================================================
--- c/src/lib/libcpu/i386/cpuModel.h	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/cpuModel.h	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/i386/displayCpu.c
===================================================================
--- c/src/lib/libcpu/i386/displayCpu.c	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/displayCpu.c	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -8,5 +8,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/i386/idtr.S
===================================================================
--- c/src/lib/libcpu/i386/idtr.S	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/idtr.S	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -8,5 +8,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libcpu/i386/page.c
===================================================================
--- c/src/lib/libcpu/i386/page.c	(revision 83f22650c8b77f72510435a33a2ae7a41627cc1f)
+++ c/src/lib/libcpu/i386/page.c	(revision 17159865dc608a3db2f493960c77f97b8697aec2)
@@ -15,5 +15,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  * $Header$